Loading...
Searching...
No Matches
copy: Copy vector
Dense LA » MAGMA BLAS and Auxiliary » Level 1: vectors operations, O(n) work

\(y = x\) More...

## Functions

void | magma_ccopy (magma_int_t n, magmaFloatComplex_const_ptr dx, magma_int_t incx, magmaFloatComplex_ptr dy, magma_int_t incy, magma_queue_t queue)
| Copy vector x to vector y; \( y = x \).
void | magma_dcopy (magma_int_t n, magmaDouble_const_ptr dx, magma_int_t incx, magmaDouble_ptr dy, magma_int_t incy, magma_queue_t queue)
| Copy vector x to vector y; \( y = x \).
void | magma_scopy (magma_int_t n, magmaFloat_const_ptr dx, magma_int_t incx, magmaFloat_ptr dy, magma_int_t incy, magma_queue_t queue)
| Copy vector x to vector y; \( y = x \).
void | magma_zcopy (magma_int_t n, magmaDoubleComplex_const_ptr dx, magma_int_t incx, magmaDoubleComplex_ptr dy, magma_int_t incy, magma_queue_t queue)
| Copy vector x to vector y; \( y = x \).

## Detailed Description

\(y = x\)

## Function Documentation

## magma_ccopy()

void magma_ccopy | ( | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloatComplex_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Copy vector x to vector y; \( y = x \).

Parameters

  [in] | n | Number of elements in vectors x and y. n >= 0.
  [in] | dx | COMPLEX array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [out] | dy | COMPLEX array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dcopy()

void magma_dcopy | ( | magma_int_t | n,
|  | magmaDouble_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDouble_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Copy vector x to vector y; \( y = x \).

Parameters

  [in] | n | Number of elements in vectors x and y. n >= 0.
  [in] | dx | DOUBLE PRECISION array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [out] | dy | DOUBLE PRECISION array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_scopy()

void magma_scopy | ( | magma_int_t | n,
|  | magmaFloat_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloat_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Copy vector x to vector y; \( y = x \).

Parameters

  [in] | n | Number of elements in vectors x and y. n >= 0.
  [in] | dx | REAL array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [out] | dy | REAL array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zcopy()

void magma_zcopy | ( | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDoubleComplex_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Copy vector x to vector y; \( y = x \).

Parameters

  [in] | n | Number of elements in vectors x and y. n >= 0.
  [in] | dx | COMPLEX_16 array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [out] | dy | COMPLEX_16 array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.